from django.db import models

class Movies(VideoFields):
     original_title = models.CharField('Original Title', maxlength=256, blank=True)
     tagline = models.CharField('Tagline', blank=True)
     runtime = models.PositiveIntegerField('Total Runtime', blank=True)
     rt_rating = models.PositiveIntegerField('Rotten Tomatoes Rating', max_value=100, blank=True)
     am_rating = models.DecimalField('AllMovie Rating', max_digits=3, decimal_places=1, blank=True)

class MovieAltTitles(models.Model):
     film = models.ForeignKey('Movies', on_delete=models.CASCADE)
     title = models.CharField('Title')
     country = models.CharField('Country')
     title_type = models.CharField('Type', blank=True)

class MovieGenres(models.Model):
     movie = models.ForeignKey('Movies', on_delete=models.CASCADE)
     genre = models.ForeignKey('Genres', on_delete=models.CASCADE)

