from django.db import models

class VGames(CommonMediaFields)
     tgdb_id = models.PositiveIntegerField('TheGamesDB ID')
     platform = models.ForeignKey('Platform')
     cover = models.ImageField('Cover Image', blank=True)
     players = models.PositiveIntegerField('Players', blank=True)
     coop = models.BooleanField('Co-Op', blank=True)
     mc_rating = models.PositiveIntegerFrield('MetaCritic Rating', max_value=100, blank=True)

class Publishers(models.Model)
     name = models.CharField('Publisher Name')
     
class Developers(models.Model)
     name = models.CharField('Developer Name')
     
class Platforms(models.Model)
     name = models.CharField('Game System')
     
class PublisherMap(models.Model)
     publisher = models.ForeignKey('Publishers')
     game = models.ForeignKey('VGames')
     
class DeveloperMap(models.Model)
     developer = models.ForeignKey('Developers')
     game = models.ForeignKey('VGames')
